curl --request PATCH \
--url https://api.sandbox.junction.com/v3/order/<order_id> \
--header 'x-vital-api-key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"activate_by": "2026-06-01"
}'
{
"order": {
"id": "0ee312e2-6773-4a21-a6e1-506882cd98ed",
"team_id": "cbb64555-af07-46c1-be09-ef89308e9b60",
"user_id": "94e2d9f2-d600-4a23-9f08-536df378e2c7",
"activate_by": "2026-06-01",
"status": "received"
},
"status": "success",
"message": "order updated"
}
Orders
Update an order
Update an order via the Junction API. Requires authentication with your team API key.
PATCH
/
v3
/
order
/
{order_id}
curl --request PATCH \
--url https://api.sandbox.junction.com/v3/order/<order_id> \
--header 'x-vital-api-key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"activate_by": "2026-06-01"
}'
{
"order": {
"id": "0ee312e2-6773-4a21-a6e1-506882cd98ed",
"team_id": "cbb64555-af07-46c1-be09-ef89308e9b60",
"user_id": "94e2d9f2-d600-4a23-9f08-536df378e2c7",
"activate_by": "2026-06-01",
"status": "received"
},
"status": "success",
"message": "order updated"
}
You can only update an order while its low-level status is
ordered or awaiting_registration.curl --request PATCH \
--url https://api.sandbox.junction.com/v3/order/<order_id> \
--header 'x-vital-api-key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"activate_by": "2026-06-01"
}'
{
"order": {
"id": "0ee312e2-6773-4a21-a6e1-506882cd98ed",
"team_id": "cbb64555-af07-46c1-be09-ef89308e9b60",
"user_id": "94e2d9f2-d600-4a23-9f08-536df378e2c7",
"activate_by": "2026-06-01",
"status": "received"
},
"status": "success",
"message": "order updated"
}
Authorizations
Vital Team API Key
Path Parameters
Your Order ID.
Body
application/json
Patch body for updating a modifiable order's scheduled activation date.
The date on which the order should be activated (dispatched to the lab). Must be today or a future date. Set to null to clear an existing scheduled date and dispatch the order immediately. Note: an order originally created for immediate processing (no activate_by at creation time) cannot be rescheduled — only orders that were created with an activate_by can have it changed or cleared.
Response
Successful Response
Show child attributes
Show child attributes
Example:
{
"activate_by": "2020-01-01",
"created_at": "2020-01-01T00:00:00Z",
"details": {
"data": {
"created_at": "2020-01-01T00:00:00Z",
"id": "a655f0e4-6405-4a1d-80b7-66f06c2108a7",
"shipment": {
"created_at": "2020-01-01T00:00:00.000Z",
"id": "d55210cc-3d9f-4115-8262-5013f700c7be",
"inbound_courier": "usps",
"inbound_tracking_number": "<inbound_tracking_number>",
"inbound_tracking_url": "<inbound_tracking_url>",
"notes": "<notes>",
"outbound_courier": "usps",
"outbound_tracking_number": "<outbound_tracking_number>",
"outbound_tracking_url": "<outbound_tracking_url>",
"updated_at": "2020-01-01T00:00:00.000Z"
},
"updated_at": "2020-01-01T00:00:00Z"
},
"type": "testkit"
},
"events": [
{
"created_at": "2022-01-01T00:00:00Z",
"id": 1,
"status": "received.testkit.ordered"
},
{
"created_at": "2022-01-02T00:00:00Z",
"id": 2,
"status": "received.testkit.requisition_created"
},
{
"created_at": "2022-01-03T00:00:00Z",
"id": 3,
"status": "collecting_sample.testkit.transit_customer"
}
],
"has_abn": false,
"health_insurace_id": "98877d35-5652-449d-9f28-d4ac806aa732",
"id": "7f71a172-977f-44b8-8377-42c713aa5a16",
"lab_test": {
"description": "Cholesterol test",
"method": "testkit",
"name": "Lipids Panel"
},
"last_event": {
"created_at": "2022-01-03T00:00:00Z",
"id": 3,
"status": "collecting_sample.testkit.transit_customer"
},
"notes": "This is a note",
"order_transaction": {
"id": "a655f0e4-6405-4a1d-80b7-66f06c2108a7",
"orders": [
{
"created_at": "2020-01-01T00:00:00Z",
"id": "d55210cc-3d9f-4115-8262-5013f700c7be",
"low_level_status": "transit_customer",
"low_level_status_created_at": "2020-01-05T00:00:00Z",
"origin": "initial",
"updated_at": "2020-01-05T00:00:00Z"
},
{
"created_at": "2020-01-05T01:00:00Z",
"id": "e66321dd-4e0g-5226-9373-6124g811d8cf",
"low_level_status": "requisition_created",
"low_level_status_created_at": "2020-01-05T01:00:00Z",
"origin": "redraw",
"updated_at": "2020-01-05T01:00:00Z"
}
],
"status": "active"
},
"origin": "initial",
"patient_address": {
"city": "San Francisco",
"country": "United States",
"first_line": "123 Main St.",
"phone_number": "+11234567890",
"receiver_name": "John Doe",
"second_line": "Apt. 208",
"state": "CA",
"zip": "91189"
},
"patient_details": { "dob": "2020-01-01", "gender": "male" },
"requisition_form_url": "https://www.example.com",
"sample_id": "123456789",
"status": "collecting_sample",
"team_id": "748ade49-198b-4163-a0ce-4f748fa7ad90",
"updated_at": "2020-01-01T00:00:00Z",
"user_id": "bfc0dc30-081d-4474-8d31-4dfe946f16f1"
}
Was this page helpful?